@media (max-width:1168px) { 
   section .motivos {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(calc(var(--espacamento) * 70), 1fr));
    } 
}

@media (max-width:1128px) {
    section .servicos {
        grid-template-columns: repeat(auto-fill, minmax(calc(var(--espacamento) * 80), 1fr));
    }

    section .destinos {
        grid-template-columns: repeat(auto-fit, minmax(calc(var(--espacamento) * 80), 1fr));
    }
}

@media (max-width:1104px) {
    footer .informacoes .limite {
        max-width: calc(var(--espacamento) * 120);
    }
}

@media (max-width:1050px) {
    section .pacotes {
        grid-template-columns: repeat(auto-fill, calc(var(--espacamento) * 88));
        justify-content: center;
        gap: calc(var(--espacamento) * 8);
    }

    section .servicos {
        grid-template-columns: repeat(auto-fill, minmax(calc(var(--espacamento) * 70), 1fr));
    }

    section .destinos {
        grid-template-columns: repeat(auto-fit, minmax(calc(var(--espacamento) * 70), 1fr));
    }

    section .motivos {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(calc(var(--espacamento) * 60), 1fr));
    }

    footer .links a, footer .links a span, footer .links li {
        padding: calc(var(--espacamento) * 2) calc(var(--espacamento) * 1);
    }

    footer .links .contacto a, footer .links .contacto a span, footer .links .contacto li {
        padding: 0;
    }

    footer .links .contacto a {
        padding: calc(var(--espacamento) * 2) calc(var(--espacamento) * 1);

    }
}

@media (max-width:930px) {
    
    section .servicos {
        grid-template-columns: repeat(auto-fill, minmax(calc(var(--espacamento) * 60), 1fr));
    }

    section .destinos {
        grid-template-columns: repeat(auto-fill, minmax(calc(var(--espacamento) * 60), 1fr));
    }

    section .motivos {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(calc(var(--espacamento) * 50), 1fr));
    }
}

@media (max-width:944px) {
    main .informacoes {
        display: none;
    }

    section .pacotes {
        grid-template-columns: repeat(auto-fill, minmax(calc(var(--espacamento) * 76), 1fr));
    }
}

@media (max-width:900px) {
    header .topo p {
        display: none;
    }

    header .contentor-nav .reservar.esconder-mobile,
    header .contentor-nav .esconder-mobile{
        display: none;
    }

    header .aparecer-mobile {
        display: block;
        border: none;
        background-color: transparent;
        padding: calc(var(--espacamento)*2);
    }

    header .aparecer-mobile svg {
        width: calc(var(--espacamento)*12);
        height: calc(var(--espacamento)*12);
        padding: calc(var(--espacamento)*2);
        border-radius: var(--br-lg);
        cursor: pointer;
    }

    header .aparecer-mobile svg:hover {
        background-color: rgba(0, 0, 0, 0.1);
    }

    header .topo,
    header .contentor-nav,
    main,
    section,
    footer {
        padding: calc(var(--espacamento) * 2) calc(var(--espacamento) * 4);
    }

    header {
        position: sticky;
        top: 0;
        z-index: 5;
        background-color: white;
    }
    
    header .contentor-nav {
        position: relative;
    }
}

@media (max-width:814px) {

    section .topo h1 {
        font-size: var(--fs-xl);
        line-height: var(--lh-xl);
        letter-spacing: var(--ls-xl);
        text-align: center;
    }

    section .topo h2 {
        font-size: var(--fs-md);
        line-height: var(--lh-md);
        letter-spacing: var(--ls-md);
        font-weight: var(--fw-semi-bold);
    }

    section .pacotes {
        grid-template-columns: repeat(auto-fill, calc(var(--espacamento) * 72));
        justify-content: center;
        gap: calc(var(--espacamento) * 8);
    }

    section .servicos {
        grid-template-columns: repeat(auto-fill, calc(var(--espacamento) * 72));
        justify-content: center;
    }

    section .destinos {
        grid-template-columns: repeat(auto-fill, calc(var(--espacamento) * 72));
        justify-content: center;
    }

    section .motivos {
        grid-template-columns: repeat(auto-fill, calc(var(--espacamento) * 72));
        justify-content: center;
    }
}

@media (max-width:720px) {
    section .motivos {
        grid-template-columns: repeat(auto-fill, calc(var(--espacamento) * 60));
        justify-content: center;
    }
}

@media (max-width:715px) {
    footer .links {
        flex: 1;
        display: flex;
        gap: calc(var(--espacamento) * 8);
        min-width: fit-content;
        flex-wrap: wrap;
    }

    section .destinos article .img img {
        object-fit: cover;
        aspect-ratio: 12 / 8;
        transition: 250ms ease-in-out;
        border-radius: var(--br-2xl) var(--br-2xl) 0 0;
    }

    main .hero .texto h1 {
        color: var(--branco-total);
        font-size: var(--fs-3xl);
        line-height: var(--lh-3xl);
    }
}


@media (max-width:672px) {
    section .pacotes {
        grid-template-columns: calc(var(--espacamento) * 106);
        justify-content: center;
        gap: calc(var(--espacamento) * 8);
    }

    section .servicos {
        grid-template-columns: calc(var(--espacamento) * 106);
        justify-content: center;
    }

    section .destinos {
        grid-template-columns: calc(var(--espacamento) * 106);
        justify-content: center;
    }

    section .motivos {
        grid-template-columns: calc(var(--espacamento) * 106);
        justify-content: center;
    }
}

@media (max-width:600px) {
    section .topo h1 {
        font-size: var(--fs-lg);
        line-height: var(--lh-lg);
        letter-spacing: var(--ls-lg);
    }

    header .contactos > div:last-of-type,
    header .topo .traco {
        display: none;
    }
}

@media (max-width:500px) {
    section .cabecalho h1 {
        font-size: var(--fs-md);
        line-height: var(--lh-md);
        letter-spacing: var(--ls-md);
        font-weight: var(--fw-medium);
    }

    section .cabecalho a span {
        color: var(--txt-preto);
        font-size: var(--fs-sm);
        line-height: var(--lh-sm);
        letter-spacing: var(--ls-sm);
        font-weight: var(--fw-medium);
    }

    section .pacotes {
        grid-template-columns: repeat(auto-fill, minmax(calc(var(--espacamento) * 76), 1fr));
        justify-content: center;
        gap: calc(var(--espacamento) * 8);
    }

    section .servicos {
        grid-template-columns: repeat(auto-fill, minmax(calc(var(--espacamento) * 76), 1fr));
        justify-content: center;
    }

    section .destinos {
        grid-template-columns: repeat(auto-fill, minmax(calc(var(--espacamento) * 76), 1fr));
        justify-content: center;
    }

    section .motivos {
        grid-template-columns: repeat(auto-fill, minmax(calc(var(--espacamento) * 76), 1fr));
        justify-content: center;
    }

    main .hero .texto h1 {
        font-size: var(--fs-3xl);
        line-height: var(--lh-3xl);    
    }
}

@media (max-width:450px) {
    main .hero .texto h1 {
        font-size: var(--fs-2xl);
        line-height: var(--lh-2xl);
    }

    main .hero .texto ul li {
        font-size: var(--fs-sm);
        line-height: var(--lh-sm);
    }
}

@media (max-width:450px) {
    main .hero .botoes {
        flex-direction: column;
        gap: calc(var(--espacamento) * 2);
    }
}